package com.kingdee.eas.custom.hireapproval;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractOAHireSalaryDataInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractOAHireSalaryDataInfo()
    {
        this("id");
    }
    protected AbstractOAHireSalaryDataInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.custom.hireapproval.OAHireSalaryDataEntryCollection());
    }
    /**
     * Object: OA录用定薪数据表 's 分录 property 
     */
    public com.kingdee.eas.custom.hireapproval.OAHireSalaryDataEntryCollection getEntrys()
    {
        return (com.kingdee.eas.custom.hireapproval.OAHireSalaryDataEntryCollection)get("entrys");
    }
    /**
     * Object:OA录用定薪数据表's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:OA录用定薪数据表's 身份证号码property 
     */
    public String getIdNumber()
    {
        return getString("idNumber");
    }
    public void setIdNumber(String item)
    {
        setString("idNumber", item);
    }
    /**
     * Object:OA录用定薪数据表's 其他证件号码property 
     */
    public String getPassport()
    {
        return getString("passport");
    }
    public void setPassport(String item)
    {
        setString("passport", item);
    }
    /**
     * Object:OA录用定薪数据表's OA单据编码property 
     */
    public String getOaNumber()
    {
        return getString("oaNumber");
    }
    public void setOaNumber(String item)
    {
        setString("oaNumber", item);
    }
    /**
     * Object:OA录用定薪数据表's 执行结果property 
     */
    public String getExecuteResult()
    {
        return getString("executeResult");
    }
    public void setExecuteResult(String item)
    {
        setString("executeResult", item);
    }
    /**
     * Object:OA录用定薪数据表's 执行状态property 
     */
    public com.kingdee.eas.custom.hireapproval.bizEnum.ExecuteStateEnum getExecuteStatus()
    {
        return com.kingdee.eas.custom.hireapproval.bizEnum.ExecuteStateEnum.getEnum(getString("executeStatus"));
    }
    public void setExecuteStatus(com.kingdee.eas.custom.hireapproval.bizEnum.ExecuteStateEnum item)
    {
		if (item != null) {
        setString("executeStatus", item.getValue());
		}
    }
    /**
     * Object:OA录用定薪数据表's 社保/公积金缴纳地property 
     */
    public String getInsFundCity()
    {
        return getString("insFundCity");
    }
    public void setInsFundCity(String item)
    {
        setString("insFundCity", item);
    }
    /**
     * Object:OA录用定薪数据表's 社保档次property 
     */
    public String getSocialLevel()
    {
        return getString("socialLevel");
    }
    public void setSocialLevel(String item)
    {
        setString("socialLevel", item);
    }
    /**
     * Object:OA录用定薪数据表's 社保/公积金基数property 
     */
    public java.math.BigDecimal getInsFundBase()
    {
        return getBigDecimal("insFundBase");
    }
    public void setInsFundBase(java.math.BigDecimal item)
    {
        setBigDecimal("insFundBase", item);
    }
    /**
     * Object: OA录用定薪数据表 's HR组织 property 
     */
    public com.kingdee.eas.basedata.org.HROrgUnitInfo getHrOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.HROrgUnitInfo)get("hrOrgUnit");
    }
    public void setHrOrgUnit(com.kingdee.eas.basedata.org.HROrgUnitInfo item)
    {
        put("hrOrgUnit", item);
    }
    /**
     * Object:OA录用定薪数据表's 计薪方式property 
     */
    public com.kingdee.eas.custom.hireapproval.bizEnum.SalaryTypeEnum getSalaryCalcType()
    {
        return com.kingdee.eas.custom.hireapproval.bizEnum.SalaryTypeEnum.getEnum(getString("salaryCalcType"));
    }
    public void setSalaryCalcType(com.kingdee.eas.custom.hireapproval.bizEnum.SalaryTypeEnum item)
    {
		if (item != null) {
        setString("salaryCalcType", item.getValue());
		}
    }
    /**
     * Object:OA录用定薪数据表's 员工姓名property 
     */
    public String getPersonName()
    {
        return getString("personName");
    }
    public void setPersonName(String item)
    {
        setString("personName", item);
    }
    /**
     * Object:OA录用定薪数据表's 所属部门property 
     */
    public String getDepartment()
    {
        return getString("department");
    }
    public void setDepartment(String item)
    {
        setString("department", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("4B317CA6");
    }
}